<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Global</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Global</h1>

    




<section>

<header>
    
        <h2></h2>
        
    
</header>

<article>
    <div class="container-overview">
    
        

        


<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>


        
    
    </div>

    

    

    

    

    

    

    

    
        <h3 class="subsection-title">Methods</h3>

        
            

    

    
    <h4 class="name" id="addCart"><span class="type-signature"></span>addCart<span class="signature">(teddy)</span><span class="type-signature"></span></h4>
    

    
    <p class="summary"><p>Fonction qui permet, au clic sur le bouton &quot;Ajouter au panier&quot;, d'ajouter le produit sélectionné au panier</p>.</p>
    



<div class="description">
    <p>Fonction qui permet, au clic sur le bouton &quot;Ajouter au panier&quot;, d'ajouter le produit sélectionné au panier</p>
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>teddy</code></td>
            

            <td class="type">
            
                
<span class="param-type">object</span>


            
            </td>

            

            

            <td class="description last"><p>Réponse de l'API qui nous renvoie le produit sélectionné</p></td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="product.js.html">product.js</a>, <a href="product.js.html#line84">line 84</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="createCards"><span class="type-signature"></span>createCards<span class="signature">(value)</span><span class="type-signature"></span></h4>
    

    
    <p class="summary"><p>Fonction qui créé une &quot;carte produit&quot; pour chaque produits renvoyé par l'API
Construction des éléments du DOM pour l'affichage des vignettes produits (1ere boucle for)
Affichage des couleurs disponibles pour chaque ourson dans la vignette (2eme boucle for)</p>.</p>
    



<div class="description">
    <p>Fonction qui créé une &quot;carte produit&quot; pour chaque produits renvoyé par l'API
Construction des éléments du DOM pour l'affichage des vignettes produits (1ere boucle for)
Affichage des couleurs disponibles pour chaque ourson dans la vignette (2eme boucle for)</p>
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>value</code></td>
            

            <td class="type">
            
                
<span class="param-type">object</span>


            
            </td>

            

            

            <td class="description last"><p>Liste des produits récupérée via l'API</p></td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="index.js.html">index.js</a>, <a href="index.js.html#line13">line 13</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="deleteItems"><span class="type-signature"></span>deleteItems<span class="signature">()</span><span class="type-signature"></span></h4>
    

    
    <p class="summary"><p>Fonction qui permet de vider le panier</p>.</p>
    



<div class="description">
    <p>Fonction qui permet de vider le panier</p>
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="shop-cart.js.html">shop-cart.js</a>, <a href="shop-cart.js.html#line30">line 30</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="requestFetch"><span class="type-signature"></span>requestFetch<span class="signature">(apiUrl)</span><span class="type-signature"></span></h4>
    

    
    <p class="summary"><p>Fonction qui récupère les données de l'API et appelle la fonction createCards()</p>.</p>
    



<div class="description">
    <p>Fonction qui récupère les données de l'API et appelle la fonction createCards()</p>
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>apiUrl</code></td>
            

            <td class="type">
            
                
<span class="param-type">string</span>


            
            </td>

            

            

            <td class="description last"><p>Url de l'API (Ici l'API Teddies)</p></td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="index.js.html">index.js</a>, <a href="index.js.html#line54">line 54</a>
    </li></ul></dd>
    

    

    

    
</dl>















<h5>Returns:</h5>

        
<div class="param-desc">
    <p>void</p>
</div>



    





        
            

    

    
    <h4 class="name" id="sendFormRequest"><span class="type-signature"></span>sendFormRequest<span class="signature">()</span><span class="type-signature"></span></h4>
    

    
    <p class="summary"><p>Fonction qui créé l'objet de la requête Post au format attendu (objet de contact et tableau de produits)  et l'envoie à l'API</p>.</p>
    



<div class="description">
    <p>Fonction qui créé l'objet de la requête Post au format attendu (objet de contact et tableau de produits)  et l'envoie à l'API</p>
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="shop-cart.js.html">shop-cart.js</a>, <a href="shop-cart.js.html#line112">line 112</a>
    </li></ul></dd>
    

    

    

    
</dl>















<h5>Returns:</h5>

        
<div class="param-desc">
    <p>un objet contact, un tableau de produits et un orderId (de type string)</p>
</div>



    





        
            

    

    
    <h4 class="name" id="showConfirm"><span class="type-signature"></span>showConfirm<span class="signature">()</span><span class="type-signature"></span></h4>
    

    
    <p class="summary"><p>Fonction qui affiche le récapitulatif de la commande:
- Affiche le numéro de commande
- Créé le tableau des produits achetés avec le prix total
- Affiche les coordonnées du client</p>.</p>
    



<div class="description">
    <p>Fonction qui affiche le récapitulatif de la commande:
- Affiche le numéro de commande
- Créé le tableau des produits achetés avec le prix total
- Affiche les coordonnées du client</p>
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="confirm.js.html">confirm.js</a>, <a href="confirm.js.html#line14">line 14</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="showProduct"><span class="type-signature"></span>showProduct<span class="signature">(teddy)</span><span class="type-signature"></span></h4>
    

    
    <p class="summary"><p>Fonction qui met en page le produit sélectionné</p>.</p>
    



<div class="description">
    <p>Fonction qui met en page le produit sélectionné</p>
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>teddy</code></td>
            

            <td class="type">
            
                
<span class="param-type">object</span>


            
            </td>

            

            

            <td class="description last"><p>Réponse de l'API qui nous renvoie le produit sélectionné</p></td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="product.js.html">product.js</a>, <a href="product.js.html#line10">line 10</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="showShopCart"><span class="type-signature"></span>showShopCart<span class="signature">()</span><span class="type-signature"></span></h4>
    

    
    <p class="summary"><p>Fonction qui affiche dans le panier l'article sélectionné sur la page produit et qui affiche le prix total de la commande</p>.</p>
    



<div class="description">
    <p>Fonction qui affiche dans le panier l'article sélectionné sur la page produit et qui affiche le prix total de la commande</p>
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="shop-cart.js.html">shop-cart.js</a>, <a href="shop-cart.js.html#line41">line 41</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="testFormConform"><span class="type-signature"></span>testFormConform<span class="signature">(input, regex, index)</span><span class="type-signature"></span></h4>
    

    
    <p class="summary"><p>Fonction qui permet de vérifier les données saisies par l'utilisateur</p>.</p>
    



<div class="description">
    <p>Fonction qui permet de vérifier les données saisies par l'utilisateur</p>
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>input</code></td>
            

            <td class="type">
            
                
<span class="param-type">object</span>


            
            </td>

            

            

            <td class="description last"><p>Input ciblé</p></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>regex</code></td>
            

            <td class="type">
            
                
<span class="param-type">object</span>


            
            </td>

            

            

            <td class="description last"><p>Expression régulière permettant de vérifier l'input ciblé</p></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>index</code></td>
            

            <td class="type">
            
                
<span class="param-type">number</span>


            
            </td>

            

            

            <td class="description last"><p>Ordre dans lequel est affiché l'input sur la page HTML</p></td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="shop-cart.js.html">shop-cart.js</a>, <a href="shop-cart.js.html#line150">line 150</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
    

    

    
</article>

</section>




</div>

<nav>
    <h2><a href="index.html">Projet 5 - Orinoco</a></h2><h3>Global</h3><ul><li><a href="global.html#addCart">addCart</a></li><li><a href="global.html#createCards">createCards</a></li><li><a href="global.html#deleteItems">deleteItems</a></li><li><a href="global.html#requestFetch">requestFetch</a></li><li><a href="global.html#sendFormRequest">sendFormRequest</a></li><li><a href="global.html#showConfirm">showConfirm</a></li><li><a href="global.html#showProduct">showProduct</a></li><li><a href="global.html#showShopCart">showShopCart</a></li><li><a href="global.html#testFormConform">testFormConform</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc/jsdoc">JSDoc 3.6.7</a> on Wed Sep 15 2021 06:12:13 GMT+0200 (heure normale d’Afrique méridionale)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>